Home / Lua API Manual / types / dt_imageio_module_format_data_pdf
< dt_imageio_module_format_data_j2k
_pdf_mode_t >

# dt_imageio_module_format_data_pdf

`dt_type`

Type object describing parameters to export to pdf.

Attributes:

- parent : types.dt_imageio_module_format_t

# 🔗dt_imageio_module_format_data_pdf.dpi

`number`

The dot per inch value to use at export

Attributes:

- write

# 🔗dt_imageio_module_format_data_pdf.icc

`boolean`

Should the images be tagged with their embedded profile

Attributes:

- write

# 🔗dt_imageio_module_format_data_pdf.border

`string`

Empty space around the PDF images

Attributes:

- write

# 🔗dt_imageio_module_format_data_pdf.orientation

`string`

Orientation of the pages in the document

Attributes:

- write

# 🔗dt_imageio_module_format_data_pdf.title

`string`

The title for the document

Attributes:

- write

# 🔗dt_imageio_module_format_data_pdf.rotate

`boolean`

Should the images be rotated to match the PDF orientation

Attributes:

- write

# 🔗dt_imageio_module_format_data_pdf.mode

`string`

The image mode to use at export time

Attributes:

- write

# 🔗dt_imageio_module_format_data_pdf.size

`string`

The paper size to use

Attributes:

- write

# 🔗dt_imageio_module_format_data_pdf.compression

`string`

Compression mode to use for images

Attributes:

- write

# 🔗dt_imageio_module_format_data_pdf.pages

`string`

The page type to use

Attributes:

- write

# 🔗dt_imageio_module_format_data_pdf.rotate

`boolean`

Should the images be rotated in the resulting PDF

Attributes:

- write

< dt_imageio_module_format_data_j2k
_pdf_mode_t >